Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.thesaurus
Class LuceneThesaurusBuilder

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.thesaurus.AbstractThesaurusBuilder
                      fr.gouv.culture.sdx.thesaurus.LuceneThesaurusBuilder

All Implemented Interfaces:
  ThesaurusBuilder, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.logger.LogEnabled, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class LuceneThesaurusBuilder

extends AbstractThesaurusBuilder

Field Summary
`protected java.io.ByteArrayOutputStream` | `conceptBytes`
`protected int` | `openConcepts`
`protected org.apache.avalon.framework.configuration.Configuration` | `saxonConf` A configuration object needed to make sure we use Saxon

Fields inherited from class fr.gouv.culture.sdx.thesaurus.AbstractThesaurusBuilder
`concepts, logger`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Constructor Summary
`LuceneThesaurusBuilder()`

Method Summary
`void` | `endElement(java.lang.String uri, java.lang.String loc, java.lang.String raw)`
`void` | `startElement(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes a)`

Methods inherited from class fr.gouv.culture.sdx.thesaurus.AbstractThesaurusBuilder
`enableLogging, getConcepts`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`recycle, setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### openConcepts

    protected int openConcepts

### conceptBytes

    protected java.io.ByteArrayOutputStream conceptBytes

### saxonConf

    protected org.apache.avalon.framework.configuration.Configuration saxonConf

  A configuration object needed to make sure we use Saxon

Constructor Detail

### LuceneThesaurusBuilder

    public LuceneThesaurusBuilder()

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String loc,
                             java.lang.String raw,
                             org.xml.sax.Attributes a)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.apache.cocoon.xml.AbstractXMLPipe`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String loc,
                           java.lang.String raw)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.apache.cocoon.xml.AbstractXMLPipe`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.